gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.VBox A widget for selecting a color.

The ColorSelection consists of a color wheel and number of sliders and entry boxes for color parameters such as hue, saturation, value, red, green, blue, and opacity. It is found on the standard color selection dialog box, .

This widget displays the 'selected' color as well as the previously selected color.

- Constructor
  2.12.0.0
  The main way to create a new ColorSelection
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Event
  2.12.0.0
  GLib.Signal("color_changed")
  System.EventHandler This event is raised when the current color changes in the ColorSelection.
- Property
  2.12.0.0
  GLib.Property("current-alpha")
  System.UInt16 Manage the current alpha value of the ColorSelection. The existing opacity of this ColorSelection.
- Property
  2.12.0.0
  GLib.Property("current-color")
  Gdk.Color Manage the current color of the ColorSelection. The currently selected color in this ColorSelection.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("has-opacity-control")
  System.Boolean Manage whether or not opacity is part of the ColorSelection. if the user can edit opacity, otherwise.
- Property
  2.12.0.0
  GLib.Property("has-palette")
  System.Boolean Manage whether or not the ColorSelection displays a palette. if a palette is currently part of the ColorSelection, otherwise.
- Property
  2.12.0.0
  System.Boolean The current state of the ColorSelection if the user is currently dragging a color around, if the selection has stopped.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideColorChanged", Type=typeof(Gtk.ColorSelection))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  Gdk.Color[] `` A palette string to parse Parses a color palette string; the string is a colon-separated list of color names readable by An array of objects.
- Method
  2.12.0.0
  System.String `` An array of objects. Encodes a palette as a string; useful for persistent storage. A string encoding of the palette.
- Property
  2.12.0.0
  System.UInt16 Get the alpha value of the previous color The previous alpha value - an integer between 0 and 65535.

  It may be confusing for a user if this property is set with no interaction from them.

- Property
  2.12.0.0
  Gdk.Color The color that was selected before the current one. a
- Property
  2.12.0.0
  System.Obsolete
  Gtk.UpdateType Deprecated. Do not use. a Before it was deprecated, this property set the policy controlling when ColorChanged signals are emitted.